Bug 230965 - failure to open software
failure to open software
Status: CLOSED DUPLICATE of bug 230942
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
: 230966 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-04 23:20 EST by roger benham
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 15:15:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roger benham 2007-03-04 23:20:20 EST
Description of problem:


Component: Software Manager
Summary: TB6b5e0e87 config.py:661:_getsysver:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 453, in ?
    main()
  File "/usr/sbin/pirut", line 446, in main
    pm = PackageManager(options.config)
  File "/usr/sbin/pirut", line 60, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in 
__init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 125, in 
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 598, in 
readMainConfig
    yumvars['releasever'] = _getsysver(startupconf.installroot, 
startupconf.distroverpkg)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 661, in 
_getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x8a91d2c>
distroverpkg: redhat-release
Comment 1 Jens Petersen 2007-03-04 23:39:10 EST
*** Bug 230966 has been marked as a duplicate of this bug. ***
Comment 2 Jeremy Katz 2007-03-05 15:15:21 EST

*** This bug has been marked as a duplicate of 230942 ***

Note You need to log in before you can comment on or make changes to this bug.